# Uses of Class
org.bukkit.plugin.java.JavaPlugin

Packages that use JavaPlugin
Package
Description
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of JavaPlugin in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java with type parameters of type JavaPlugin
Modifier and Type
Method
Description
`static <T extends JavaPlugin>
T`
JavaPlugin.`getPlugin(@NotNull Class<T> clazz)`
This method provides fast access to the plugin that has `provided` the given plugin class, which is usually the plugin that implemented it.
Methods in org.bukkit.plugin.java that return JavaPlugin
Modifier and Type
Method
Description
`JavaPlugin`
PluginClassLoader.`getPlugin()`
`static @NotNull JavaPlugin`
JavaPlugin.`getProvidingPlugin(@NotNull Class<?> clazz)`
This method provides fast access to the plugin that has provided the given class.